<?xml version="1.0" encoding="UTF-8"?>

<!-- Dieses Stylesheet ist Teil von

Philipp Hainhofer: Das Große Stammbuch. Kommentierte digitale Edition eines bedeutenden Album Amicorum aus der Zeit um 1600 [Wolfenbütteler Digitale Editionen, Nr. 6], herausgegeben, transkribiert, übersetzt und kommentiert von Sabine Jagodzinski, Wolfenbüttel: Herzog August Bibliothek 2024, https://stammbuch.hab.de/stammbuch

und wurde erstellt von Martin de la Iglesia (iglesia@hab.de).

Es erzeugt eine XHTML-Liste aus der TEI/XML-Datei der Bibliographie. -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xhtml="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#all" version="2.0" xpath-default-namespace="http://www.tei-c.org/ns/1.0">
    <xsl:output method="xhtml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>
    
    <xsl:variable name="biblpfad">bibliographie/</xsl:variable>
    
    <xsl:template match="/">
        <xsl:result-document href="bibl-liste.xhtml">  
            <html xmlns="http://www.w3.org/1999/xhtml">
                <head>
                    <title>Bibliographie</title>
                </head>
                <body>
                    <ul>
                        <xsl:apply-templates select="//bibl">
                            <xsl:sort select="@sortKey"/>
                        </xsl:apply-templates>     
                    </ul>
                </body>
            </html>
        </xsl:result-document>
    </xsl:template>
    
    <xsl:template match="bibl">
        <li xmlns="http://www.w3.org/1999/xhtml"><a>
            <xsl:attribute name="href">
                <xsl:value-of select="concat($biblpfad,@xml:id)"/>
            </xsl:attribute>
            <xsl:value-of select="seg"/>
        </a></li>
    </xsl:template>
    
</xsl:stylesheet>
